> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/brc-20/brc-20-by-ticker.md).

# BRC-20 by Ticker

This endpoint returns the metadata, latest price, and 24h volume for a given BRC-20 ticker

## GET /v1/brc20/ticker/{ticker}

> Get data and price info for a specific BRC20 by ticker.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/brc20/ticker/{ticker}":{"get":{"tags":["Ordinals"],"description":"Get data and price info for a specific BRC20 by ticker.","parameters":[{"schema":{"minLength":1,"type":"string"},"in":"path","name":"ticker","required":true,"description":"Ticker of the BRC20 token (e.g. ordi, sats, etc.)"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"ticker":{"type":"string"},"maxSupply":{"type":"string"},"mintLimit":{"type":"string"},"decimals":{"type":"number"},"txid":{"type":"string"},"inscriptionId":{"type":"string"},"blockHeight":{"type":"string"},"isSelfMint":{"type":"boolean"},"prices":{"type":"object","properties":{"floorPrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange24h"]},"lastSalePrice":{"type":"object","properties":{"marketplace":{"type":"string"},"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["floorPrice","lastSalePrice"]},"volume24h":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"},"percentageChange":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}}},"required":["percentageChange"]}},"required":["ticker","maxSupply","decimals","txid","inscriptionId","blockHeight","isSelfMint","prices","volume24h"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/brc-20/brc-20-by-ticker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
